<template>
  <div class="q-pa-md">
    <q-card
      class="zoom super-rounded-borders"
      :style="{ backgroundColor: item.color }"
      @click="$emit('category', item.id)"
    >
      <q-list dark>
        <q-item>
          <q-item-section
            v-if="item.icon"
            avatar
          >
            <q-avatar
              :style="{ color: item.color }"
              :icon="item.icon"
              font-size="50px"
              color="white"
              size="80px"
            />
          </q-item-section>

          <q-item-section class="text-right">
            <div
              class="text-h6"
              v-text="item.label"
            />

            <q-space />

            <div
              class="text-caption text-weight-light text-white"
              v-text="item.sublabel"
            />
          </q-item-section>
        </q-item>
      </q-list>
    </q-card>
  </div>
</template>

<script>
export default {
  name: 'CardCategory',
  props: {
    item: {
      type: Object,
      required: true
    }
  }
}
</script>
